## IAnjutaEditorZoom IAnjutaEditorZoom — Text editor zoom interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-editor-zoom.h>

    #define             IANJUTA_EDITOR_ZOOM_ERROR
                        IAnjutaEditorZoom;
                        IAnjutaEditorZoomIface;
    GQuark              ianjuta_editor_zoom_error_quark     (void);
    void                ianjuta_editor_zoom_in              (IAnjutaEditorZoom *obj,
                                                             GError **err);
    void                ianjuta_editor_zoom_out             (IAnjutaEditorZoom *obj,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaEditorZoom

## Prerequisites

IAnjutaEditorZoom requires IAnjutaEditor and GObject.

## Description

## Details

### IANJUTA_EDITOR_ZOOM_ERROR

    #define IANJUTA_EDITOR_ZOOM_ERROR ianjuta_editor_zoom_error_quark()

### IAnjutaEditorZoom

    typedef struct _IAnjutaEditorZoom IAnjutaEditorZoom;

### IAnjutaEditorZoomIface

    typedef struct {
    	IAnjutaEditorIface g_iface;

    	void (*in) (IAnjutaEditorZoom *obj, GError **err);
    	void (*out) (IAnjutaEditorZoom *obj, GError **err);
    } IAnjutaEditorZoomIface;

### ianjuta_editor_zoom_error_quark ()

    GQuark              ianjuta_editor_zoom_error_quark     (void);

Returns : |

### ianjuta_editor_zoom_in ()

    void                ianjuta_editor_zoom_in              (IAnjutaEditorZoom *obj,
                                                             GError **err);

Zoom in

`obj` : | Self
`err` : | Error propagation and reporting

### ianjuta_editor_zoom_out ()

    void                ianjuta_editor_zoom_out             (IAnjutaEditorZoom *obj,
                                                             GError **err);

Zoom out

`obj` : | Self
`err` : | Error propagation and reporting